Content View: erratum filter rule validator fails when adding multiple errata id rules
03/21/2014 03:57 PM - Brad Buckingham

Status: Closed

Priority: Normal

Assignee: Brad Buckingham

Category: Content Views

Target version: Katello 2.0

Difficulty: Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: Red Hat JIRA:

Pull request:

Description

Due to a faulty scope on the content view erratum filter rule, the validator will only allow 1 errata id to be added to the filter.

The issue appears to be with the checking of the 'types' attribute which is a serialized array.

Associated revisions

Revision e085574c - 03/24/2014 12:11 PM - Brad Buckingham

fixes #4773 - Content Views: fix issue which did not allow for multiple errata ids per filter

The erratum filter rule 'types' is a serialized array. The scope

that was placed on the model was incorrectly looking for 'nil’;
however, with a serialized type, we really need to fetch the records
to look at the value of 'types', as the value for an existing

rule will not be 'nil', even when types is not specified.

Revision e50b40d4 - 03/24/2014 12:40 PM - Brad Buckingham
Merge pull request #3864 from bbuckingham/issue-4773

fixes #4773 - Content Views: fix issue which did not allow for multiple errata ids per filter

History

#1 - 03/21/2014 04:05 PM - Brad Buckingham

- Category set to Content Views

#2 - 03/24/2014 04:34 AM - Mike McCune

- Triaged set to Yes

#3 - 03/24/2014 12:53 PM - Brad Buckingham
- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset katellojcommit:e085574c34625e9890ab83fd4455483456f1ff65.

#4 - 08/21/2014 02:36 PM - Eric Helms

- translation missing: en.field_release set to 13
